# log.h File Reference

## Detailed Description

General header for the Barry library.

Definition in file log.h.

`#include "dll.h"`
`#include <iomanip>`

Include dependency graph for log.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::LogLock
| RAII locking class used to protect the logStream passed into Barry::Init() (common.h). More...